add a bunch of stuff

main
Rob Muhlestein 9 months ago
parent 194449d0fb
commit 9eb7bf9937

@ -261,6 +261,8 @@ alias iam=live
alias neo="neo -D -c gold"
alias more="less"
alias disclaimer="clear; now; zet view disclaimer"
alias main="obs scene Main"
alias tight="obs scene Closeup"
_have vim && alias vi=vim
@ -334,7 +336,7 @@ clone() {
owncomp=(
pdf zet keg kn yt gl auth pomo config live iam sshkey ws x z clip
./build build b ./k8sapp k8sapp ./setup ./cmd run ./run
foo ./foo cmds ./cmds z bonzai openapi
foo ./foo cmds ./cmds z bonzai openapi obs
)
for i in "${owncomp[@]}"; do complete -C "$i" "$i"; done

@ -0,0 +1,17 @@
#!/bin/sh
set -e
file="discord.deb"
url="https://discord.com/api/download?platform=linux&format=deb"
dir="$(mktemp -d)"
path="$dir/$file"
cleanup () {
rm -rf "$dir"
}
trap cleanup EXIT
curl -L "$url" -o "$path"
sudo apt-get install -y "$path"

@ -0,0 +1,4 @@
#!/bin/sh
curl -sL https://firebase.tools | bash

@ -49,4 +49,4 @@ install_latest_go() {
echo "Add $dir/go/bin to your path and optionally set GOBIN=~/.local/bin" 1>&2
}
install_latest_go
install_latest_go "$@"

@ -6,7 +6,6 @@ dir=$(mktemp -d)
cleanup () {
rm -rf "$dir"
}
trap cleanup EXIT
curl -L "$url" -o "$dir/yq"

@ -10,9 +10,9 @@ export OPENAI_API_KEY
#if test -t 0; then
# if _have glow; then
mods --status-text "Ummm" -f "$*" | glow
# mods --status-text "Ummm" -f "$*" | glow
# else
# mods --status-text "Ummm" "$*"
mods --status-text "Ummm" "$*"
# fi
#else
# mods --quiet "$*" | sed -E 's,[?25l [?25h[?1002l[?1003l,,g'

@ -1,3 +1,3 @@
#!/bin/sh
cmd=$(command -v $1)
cmd=$(command -v "$1")
test -n "$cmd" && exec vi "$cmd"

@ -53,7 +53,7 @@ bind -r l select-pane -R
# customize create new window for streaming
unbind C-c
bind C-c new-window \; split-window -h \; select-pane -t 2 \; resize-pane -x 19 \; send "blankpane" Enter \; select-pane -t 1
bind C-c new-window \; split-window -h \; select-pane -t 2 \; resize-pane -x 26 \; send "blankpane" Enter \; select-pane -t 1
# avoid cursor movement messing with resize
set -g repeat-time 200

Loading…
Cancel
Save